Bug 240635 - Review Request: mash - tree creation tool
Review Request: mash - tree creation tool
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-18 21:11 EDT by Bill Nottingham
Modified: 2014-03-16 23:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-06 21:41:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-05-18 21:11:08 EDT
Spec URL: http://people.redhat.com/notting/review/mash.spec
SRPM URL: http://people.redhat.com/notting/review/mash-0.1.8-1.fc7.src.rpm
Description: 
mash is a tool that queries a koji buildsystem for the latest RPMs for
any particular tag, and creates repositories of those RPMs, including
any multlib RPMs necesary.

This is what we're using to build rawhide trees.
Comment 1 Kevin Fenzi 2007-05-21 23:05:10 EDT
Here's a review:

OK - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
See below - Sources match upstream md5sum:
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag
? - Should package latest version

Issues:

1. Cosmetic/nonblocker:
Summary:        Buildsystem -> tree converter
seems a bit terse... perhaps:
Summary:        Koji buildsystem to yum repository converter
?

2. ChangeLog and README are 0 length. Should they be shipped?
Should they have content?

3. The Source0 URL doesn't seem to work. Seems to have lots of older versions, but
not this one. Perhaps it should point to the hosted site?

4. The URL seems to give:
Environment not found

5. rpmlint says:
E: mash non-executable-script /usr/lib/python2.5/site-packages/mash/multilib.py 0644
E: mash non-executable-script /usr/lib/python2.5/site-packages/mash/config.py 0644
E: mash non-executable-script /usr/lib/python2.5/site-packages/mash/__init__.py 0644

Should these have no #! line? or should they be 755?

E: mash zero-length /usr/share/doc/mash-0.1.8/ChangeLog
E: mash zero-length /usr/share/doc/mash-0.1.8/README

See comment #2.
Comment 2 Bill Nottingham 2007-05-22 02:12:37 EDT
(In reply to comment #1)
> Issues:
> 
> 1. Cosmetic/nonblocker:
> Summary:        Buildsystem -> tree converter
> seems a bit terse... perhaps:
> Summary:        Koji buildsystem to yum repository converter
> ?

OK, will fix.

 
> 2. ChangeLog and README are 0 length. Should they be shipped?

<packager hat> *shrug*, that's an upstream issue.

> Should they have content?

<upstream hat> Yeah, they should. I need to get a format out of git log that I
can stand to read.

> 3. The Source0 URL doesn't seem to work. Seems to have lots of older versions, but
> not this one. Perhaps it should point to the hosted site?

Should be fixed. Also, see next answer...

> 4. The URL seems to give:
> Environment not found

Yeah, I need to get Jesse to set up the trac bits.

> 5. rpmlint says:
> E: mash non-executable-script
/usr/lib/python2.5/site-packages/mash/multilib.py 0644
> E: mash non-executable-script /usr/lib/python2.5/site-packages/mash/config.py 0644
> E: mash non-executable-script
/usr/lib/python2.5/site-packages/mash/__init__.py 0644
> 
> Should these have no #! line? or should they be 755?

Probably one or the other. I'll look at taking the #! out of them. Doesn't
affect anything.
Comment 3 Bill Nottingham 2007-05-23 17:35:11 EDT
0.1.9 uploaded.
Comment 4 Kevin Fenzi 2007-05-23 22:38:47 EDT
1. ok. looks good. 

2. ok. Changelog is still 0 length, so it seems pointless to ship it, but I
suppose if it starts getting populated upstream it could eventually be useful. 

3. ok. looks good:
4559a0a48ac05d3c0e6946cf8f933dab  mash-0.1.9.tar.gz
4559a0a48ac05d3c0e6946cf8f933dab  mash-0.1.9.tar.gz.1

4. Yeah, still showing a 404 there. ;( 

5. ok. Those look good, but rpmlint now says: 
E: mash zero-length /usr/share/doc/mash-0.1.9/ChangeLog
W: mash strange-permission mash.spec 0600

Can you fix the URL and make the .spec 644 before importing? 
provided you do that this package is APPROVED. 

Don't forget to close this one the package has been imported and built. 
Comment 5 Bill Nottingham 2007-05-23 22:44:04 EDT
I'll just point the URL to my people page for now.

The spec is 0644 in the tarball ; rpmbuild -ta is doing something strange.
Comment 6 Bill Nottingham 2007-05-23 22:46:09 EDT
Requesting CVS.

New Package CVS Request
=======================
Package Name: mash 
Short Description: Koji buildsystem to yum repo converter
Owners: notting@redhat.com
Branches: devel F-7
InitialCC: jkeating@redhat.com
Comment 7 Tom "spot" Callaway 2007-05-24 11:13:26 EDT
cvs done
Comment 8 Kevin Fenzi 2007-06-06 21:41:14 EDT
Imported and Built. Closing. 
Comment 9 Bill Nottingham 2008-01-25 16:14:50 EST
Package Change Request
======================
Package Name: mash
New Branches: EL-5 *** PLEASE CLONE FROM F-8 ***
Comment 10 Dennis Gilmore 2008-01-26 08:51:26 EST
CVS Done

Note You need to log in before you can comment on or make changes to this bug.